/*
<:copyright-BRCM:2016:DUAL/GPL:standard

   Broadcom Proprietary and Confidential.(c) 2016 Broadcom
   All Rights Reserved

Unless you and Broadcom execute a separate written software license
agreement governing use of this software, this software is licensed
to you under the terms of the GNU General Public License version 2
(the "GPL"), available at http://www.broadcom.com/licenses/GPLv2.php,
with the following added to such license:

   As a special exception, the copyright holders of this software give
   you permission to link this software with independent modules, and
   to copy and distribute the resulting executable under terms of your
   choice, provided that you also meet, for each linked independent
   module, the terms and conditions of the license of that module.
   An independent module is a module which is not derived from this
   software.  The special exception does not apply to any modifications
   of the software.

Not withstanding the above, under no circumstances may you combine
this software in any way with any other Broadcom software provided
under a license other than the GPL, without Broadcom's express prior
written consent.

:>
 */

#ifndef BCM_API_DEV_LOG_H_
#define BCM_API_DEV_LOG_H_

#include <bcmos_system.h>
#include <bcmolt_msg.h>
#include <bcm_dev_log.h>

/* Print message header/body to a logger ID */
bcmos_errno bcmolt_msg_log(dev_log_id log_id, const bcmolt_msg *msg);

/* Initialize API/devlog integration */
void bcmolt_msg_log_init(void);

#endif /* BCM_API_DEV_LOG_H_ */
