/*
<:copyright-BRCM:2016:DUAL/GPL:standard

   Broadcom Proprietary and Confidential.(c) 2016 Broadcom
   All Rights Reserved

Unless you and Broadcom execute a separate written software license
agreement governing use of this software, this software is licensed
to you under the terms of the GNU General Public License version 2
(the "GPL"), available at http://www.broadcom.com/licenses/GPLv2.php,
with the following added to such license:

   As a special exception, the copyright holders of this software give
   you permission to link this software with independent modules, and
   to copy and distribute the resulting executable under terms of your
   choice, provided that you also meet, for each linked independent
   module, the terms and conditions of the license of that module.
   An independent module is a module which is not derived from this
   software.  The special exception does not apply to any modifications
   of the software.

Not withstanding the above, under no circumstances may you combine
this software in any way with any other Broadcom software provided
under a license other than the GPL, without Broadcom's express prior
written consent.

:>
 */

#ifndef _BCMOLT_HOST_API_GPON_UTILS_H_
#define _BCMOLT_HOST_API_GPON_UTILS_H_

#include <bcmos_system.h>
#include <bcm_common_gpon.h>

/* Note that PONs 4-7 are not used in GPON/XGPON coexistence mode. */
#define FOR_EACH_PON(pon_ni)\
    for (pon_ni = (bcmolt_pon_ni)0;\
         pon_ni < (bcmolt_pon_ni)smdbg->num_of_pons;\
         ((bcm_common_gpon_get_system_mode() == BCMOLT_SYSTEM_MODE_GPON_8_XGPON_4_X_COEXISTENCE && pon_ni == XGPON_HALF_CHIP_MAX_NUM_OF_PONS-1) ? pon_ni = XGPON_MAX_NUM_OF_PONS : pon_ni++))

#endif
