/*
<:copyright-BRCM:2016:DUAL/GPL:standard

   Broadcom Proprietary and Confidential.(c) 2016 Broadcom
   All Rights Reserved

Unless you and Broadcom execute a separate written software license
agreement governing use of this software, this software is licensed
to you under the terms of the GNU General Public License version 2
(the "GPL"), available at http://www.broadcom.com/licenses/GPLv2.php,
with the following added to such license:

   As a special exception, the copyright holders of this software give
   you permission to link this software with independent modules, and
   to copy and distribute the resulting executable under terms of your
   choice, provided that you also meet, for each linked independent
   module, the terms and conditions of the license of that module.
   An independent module is a module which is not derived from this
   software.  The special exception does not apply to any modifications
   of the software.

Not withstanding the above, under no circumstances may you combine
this software in any way with any other Broadcom software provided
under a license other than the GPL, without Broadcom's express prior
written consent.

:>
*/

#ifndef MAPLE_CLI_HANDLERS_H_
#define MAPLE_CLI_HANDLERS_H_

#include <bcmos_system.h>
#include <bcmolt_api.h>
#include <bcmcli.h>
#include <bcmolt_model_types.h>

/* the maximum amount of memory that could possibly by used by all variable-sized lists within a GET request */
#define APICLI_DYNAMIC_LIST_BUFFER_SIZE (32 * 1024)

/* Perform an API call based on CLI input */
bcmos_errno bcmolt_cli_api_call(
    bcmolt_devid device_id,
    bcmolt_mgt_group group_type,
    bcmolt_msg_type msg_type,
    bcmcli_session *session);

#endif
